Restore Object

Restores an archived copy of an object back into ARTESCA.

Note

ARTESCA only supports restore an archive as a type of request. In ARTESCA, the storage class represents the storage location.

To use this operation, you must have permissions to perform the s3:RestoreObject action. The bucket owner has this permission by default and can grant this permission to others.

Note

To restore an object from a cold location, the bucket must either:

  • Have at least one active transition workflow to either the same location or another.

  • Have at least one transition workflow to a cold location (it does not have to be active).

Objects archived to the ARTESCA cold backends are not accessible in real time. For objects in Archive Access, you must first initiate a restore request, and wait until the object is moved into its bucket in the hot storage. To access an archived object, restore the object with Restore Objects for the duration (number of days) that you specify.

Provide a version ID to restore a specific object version. If no version ID is provided, ARTESCA restores the current version.

Note

ARTESCA only supports Standard as a tier parameter for the restore object request.

Send a HEAD request to get the status of object restoration. The API call returns the x-amz-restore header, which provides information about the restoration status, in the response.

After restoring an archived object, update the restoration period by reissuing the request with a new period. ARTESCA updates the restoration period relative to the current time. You cannot update the restoration period when ARTESCA is actively processing your current restore request for the object.

If your bucket has a lifecycle configuration with a rule that includes an expiration action, the object expiration overrides the life span that you specify in a restore request. For example, if you restore an object copy for 10 days, but the object is scheduled to expire in 3 days, ARTESCA deletes the object in 3 days.

Requests

Syntax

POST /ObjectName?restore HTTP/1.1
Host: {{BucketName}} value
Date: {{date}}
Authorization: {{authorizationString}}

Parameters

The restore Object operation does not use request parameters.

Additional Parameters

By default, the restore Object operation returns the current version of an object. To return a different version, use the versionId subresource.

Headers

The restore Object operation supports Common Request Headers.

Request Elements

Element

Type

Description

Days

integer

Lifetime of the active copy in days.

Tier

string

Retrieval tier on which the restoration will be processed. Only Standard is supported in ARTESCA.

Responses

A successful action returns either the 200 OK or 202 Accepted status code.

  • If the object is not previously restored, ARTESCA returns 202 Accepted in the response.

  • If the object is previously restored, ARTESCA returns 200 OK in the response.

Elements

The restore object operation does not return response elements.

Example

Restore an object for 2 days

Request

The following request restores a copy of the photo1.jpg object from ARTESCA for a period of two days.

POST /photo1.jpg?restore HTTP/1.1
Host: examplebucket.artesca value
Date: Mon, 22 Oct 2022 01:49:52 GMT
Authorization: {{authorizationString}}
Content-Length: {{contentLength}}

<RestoreRequest>
   <Days>2</Days>
</RestoreRequest>

Response

If the object is previously restored, the 200 OK response is returned.

HTTP/1.1 200 OK

HTTP/1.1 202 Accepted
x-amz-request-id: 9F341CD3C4BA79E0
Date: Sat, 22 Oct 2022 01:49:58 GMT
Content-Length: 0
Server: ArtescaDMF